aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-devtools/jq/jq/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-devtools/jq/jq/run-ptest')
-rwxr-xr-xmeta-oe/recipes-devtools/jq/jq/run-ptest37
1 files changed, 37 insertions, 0 deletions
diff --git a/meta-oe/recipes-devtools/jq/jq/run-ptest b/meta-oe/recipes-devtools/jq/jq/run-ptest
new file mode 100755
index 0000000000..a813958b5a
--- /dev/null
+++ b/meta-oe/recipes-devtools/jq/jq/run-ptest
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+JQ_LIB=@libdir@/jq
+LOG="${JQ_LIB}/ptest/jq_ptest_$(date +%Y%m%d-%H%M%S).log"
+
+# clean up the log file to avoid a file has the same name and has existing content
+echo "" > ${LOG}
+
+# The purpose of ptest is doing intergration test, so disable valgrind by default
+# change PACKAGECOFIG to enable valgrind.
+#export NO_VALGRIND=1
+# The --enable-valgrind configure option for jq only can be used within Makefiles,
+# and it cannot be utilized here since it also checks compile, which cannot be avoid
+# Requested enhancement to jq: https://github.com/stedolan/jq/issues/2493
+
+for test in optionaltest mantest jqtest onigtest shtest utf8test base64test; do
+ ./tests/${test} >> ${LOG} 2>> ${LOG}
+ if [ $? -eq 0 ]; then
+ echo "PASS: ${test}"
+ echo "PASS: ${test}" >> ${LOG}
+ else
+ echo "FAIL: ${test}"
+ echo "FAIL: ${test}" >> ${LOG}
+ fi
+done
+
+passed=`grep PASS: ${LOG}|wc -l`
+failed=`grep FAIL: ${LOG}|wc -l`
+skipped=`grep SKIP: ${LOG}|wc -l`
+all=$((passed + failed + skipped))
+
+( echo "=== Test Summary ==="
+ echo "TOTAL: ${all}"
+ echo "PASSED: ${passed}"
+ echo "FAILED: ${failed}"
+ echo "SKIPPED: ${skipped}"
+) | tee -a /${LOG}